package com.bonus.material.basic.mapper;

import java.util.List;
import com.bonus.material.basic.domain.BmUnit;

/**
 * 往来单位管理Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface BmUnitMapper 
{
    /**
     * 查询往来单位管理
     * 
     * @param unitId 往来单位管理主键
     * @return 往来单位管理
     */
    public BmUnit selectBmUnitByUnitId(Long unitId);

    /**
     * 查询往来单位管理列表
     * 
     * @param bmUnit 往来单位管理
     * @return 往来单位管理集合
     */
    public List<BmUnit> selectBmUnitList(BmUnit bmUnit);

    /**
     * 新增往来单位管理
     * 
     * @param bmUnit 往来单位管理
     * @return 结果
     */
    public int insertBmUnit(BmUnit bmUnit);

    /**
     * 修改往来单位管理
     * 
     * @param bmUnit 往来单位管理
     * @return 结果
     */
    public int updateBmUnit(BmUnit bmUnit);

    /**
     * 删除往来单位管理
     * 
     * @param unitId 往来单位管理主键
     * @return 结果
     */
    public int deleteBmUnitByUnitId(Long unitId);

    /**
     * 批量删除往来单位管理
     * 
     * @param unitIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmUnitByUnitIds(Long[] unitIds);

    /**
     * 根据单位名查询单位信息
     * @param unitName
     * @return
     */
    BmUnit selectBmUnitByProName(String unitName);

    /**
     * 根据单位id查询单位人员数量
     * @param unitId
     * @return
     */
    Integer countBmUnitPersonByUnitId(Long unitId);
}
